%define name glame
%define version 2.0.1
%define rel 6
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Summary:   	A sound editor
Name:      	%{name}
Version:   	%{version}
Release:   	%mkrel %rel
License: 	GPL
Group:     	Sound
Source0:   	http://prdownloads.sourceforge.net/glame/%{name}-%{version}.tar.bz2
Source1:      	%{name}-48x48.png
Source2:      	%{name}-32x32.png
Source3:      	%{name}-16x16.png
Patch: glame-2.0.1-xdg.patch
#gw from CVS, fix guile compatibility
Patch1: glame-2.0.1-guile.patch
URL:       	http://glame.sourceforge.net/ 
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	libglade2.0-devel
BuildRequires: 	guile-devel >= 1.6
BuildRequires: 	fftw2-devel 
BuildRequires: 	ladspa-devel
BuildRequires: 	libmad-devel
BuildRequires: 	libvorbis-devel
BuildRequires:	libltdl-devel
#gw, that's for /usr/X11R6/include/X11/bitmaps/hlines3 :
BuildRequires:  x11-data-bitmaps

%description
GLAME is meant to be the GIMP of audio processing. It is designed to be
a powerful, fast, stable, and easily extensible sound editor for Linux
and compatible systems. Supported platforms are Linux and IRIX. 

%if %build_plf
This package is in PLF as it might violate some patents.

%package lame
Group: Sound
Summary: MP3 plugin for glame
BuildRequires: liblame-devel
Requires: %name = %version

%description lame
GLAME is meant to be the GIMP of audio processing. It is designed to be
a powerful, fast, stable, and easily extensible sound editor for Linux
and compatible systems. Supported platforms are Linux and IRIX. 

This is the MP3 encoding plugin for glame based on lame. It is in PLF
for patent reasons.
%endif

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/glame"\
title="Glame"\
longtitle="An audio processing tool"\
needs="x11"\
section="Multimedia/Sound"\
icon="%{name}.png" xdg="true"
EOF
)
mv %buildroot%{_datadir}/gnome/apps/Multimedia/ %buildroot%{_datadir}/applications
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}
#clean unpackaged files
rm -f %buildroot%_libdir/glame/*a

%post
/sbin/install-info %{_infodir}/glame.info.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/glame-dev.info.bz2 %{_infodir}/dir
%{update_menus}

%postun
/sbin/install-info --delete %{_infodir}/glame.info.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/glame-dev.info.bz2 %{_infodir}/dir
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/glame/
%{_datadir}/applications/glame.desktop
%{_datadir}/%{name}/
%{_infodir}/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%if %build_plf
%files lame
%defattr (-,root,root)
%{_libdir}/glame/file_mp3_out.so
%endif


%changelog
* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.0.1-6mdv2007.0
+ Revision: 105345
- fix description

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.0.1-5mdv2007.1
+ Revision: 105299
- fix installation
- Import glame



* Sun Jan  7 2007 Gtz Waschk <waschk@mandriva.org> 2.0.1-5mdv2007.1
- patch for new guile
- unpack icons

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-4mdv2007.0
- xdg menu

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.0.1-3mdk
- fix menu path

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-2mdk
- fix buildrequires

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- New release 2.0.1

* Fri Oct 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- fix buildrequires
- add source URL
- New release 1.0.3

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Wed Apr 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-2mdk
- clean redundant buildrequires
- fix distriblint warning

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-6mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-5mdk
- fix buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-4mdk
- rebuild

* Wed Dec  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-3mdk
- rebuild with new guile

* Fri Nov 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-2mdk
- fix rpmlint warning, add a libdir to the configure call 

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- include the gnome menu entry
- clear unpackaged files from buildroot
- new version

* Tue May 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- 0.6.3
- don't compress png icons

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- rebuild against new alsa

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- don't use the configure macro at the moment
- 0.6.2
- drop obsoleted patch

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- add CVS fix for ladspa 
- add ladspa support

* Mon Jan 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- 0.6.1
- png icons

* Mon Dec 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Tue Dec 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.4-1mdk
- don't require libxml2
- 0.5.4
- removed patches

* Tue Nov 13 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-2mdk
- patched configure.in check for new libglade
- patch from CVS to prevent optimization from removing plugin symbols
- install development documentation

* Sat Nov 10 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- fixed cflags for moved header of new libglade
- reduce optimization level
- use find_lang macro
- drop lib package
- fixed rpmlint warnings
- fixed buildrequires
- 0.5.3

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Mon Jul 16 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4.2
	- split out library package

* Fri May  4 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- 0.4.1
- fixed info file installation
- added build requirements
- added icons

* Fri Apr 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.0-1mdk
- new version

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- rebuild

* Sat Sep 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- info macros
- menu 

* Sat Sep 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- new in contribs
